<?php
/**
 * @version 1.5 stable $Id: default_items.php 85 2009-10-10 13:48:04Z vistamedia $
 * @package Joomla
 * @subpackage FLEXIcontent
 * @copyright (C) 2009 Emmanuel Danan - www.vistamedia.fr
 * @license GNU/GPL v2
 * 
 * FLEXIcontent is a derivative work of the excellent QuickFAQ component
 * @copyright (C) 2008 Christoph Lukes
 * see www.schlu.net for more information
 *
 * FLEXIcontent is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

$params = $this->params; 
$hdl    = $params->get('page_heading');
$show_pagination = $params->get('show_pagination');
?>

<div class="card <?php echo $show_pagination ? 'mb0 pb0':'' ?>">

<h1><?php echo $hdl ?></h1>

<?php
	JFactory::getDocument()->addScript( JURI::base().'components/com_flexicontent/assets/js/tmpl-common.js');
	include('listings_filter_form.php');
?>

<ul class="bio">
<?php
	$user_is_subscriber = user_is_in_group(9); // premium_user_group_id = 9
	$i = 0;
	
	// Decide whether to show the edit column
	$edit_button_exists = false;
	if ( user_is_in_group(6) ) : // 6=manager
		foreach($this->items as $item):
			if ($item->editbutton = flexicontent_html::editbutton( $item, $this->params )) :
				$edit_button_exists = true;
			endif;
		endforeach;
	endif;

	foreach($this->items as $item):
		$i++;

		$zebra          = $i%2 ? "odd" : "evn";
		$a_name         = explode(',', $item->title);
		$s_surname      = $a_name[0];
		$s_firstname    = count($a_name)>1 ? $a_name[1] : '';
		
		$rank           = FlexicontentFields::getFieldDisplay($item, 'rank');
		$country        = FlexicontentFields::getFieldDisplay($item, 'country');
		$is_deutschland = $country==="Deutschland";
		$wehrmachtsteil = $is_deutschland?FlexicontentFields::getFieldDisplay($item, 'wehrmachtsteil'):'';
		$birthyear      = FlexicontentFields::getFieldDisplay($item, 'birthyear');
		$deathyear      = FlexicontentFields::getFieldDisplay($item, 'deathyear');
		
		$pdf            = FlexicontentFields::getFieldDisplay($item, 'pdf');
		
		$grid_name = 5;
		if(!$rank){
			$grid_name = 8;
			if(!$is_deutschland && !$birthyear){
				$grid_name = 9;
				if(!$deathyear){
					$grid_name = 10;
				}
			}
		}

		if($birthyear) $birthyear = '<span class="symbol birth">'.JText::_('BA_BIRTH_SIGN').'</span>'.$birthyear;
		if($deathyear) $deathyear = '<span class="symbol death">'.JText::_('BA_DEATH_SIGN').'</span>'.$deathyear;

		?>

		<li class="<?php echo $zebra?>">

			<span class="name grid_<?php echo $grid_name ?>">
				<?php if($edit_button_exists) echo $item->editbutton ?>
				<span class="surname"><?php echo $s_surname?>,</span>
				<?php if($s_firstname):?><span class="firstname"><?php echo $s_firstname?></span><?endif;?>
			</span>

			<?php if($rank):?>
			<span class="rank grid_<?php echo $is_deutschland ? '2':'3' ?>"><?php echo $rank?></span>
			<?php endif;?>
			
			<?php if($is_deutschland):?>
			<span class="wehrmachtsteil grid_1"><?php echo $wehrmachtsteil?></span>
			<?php endif;?>
				
			<span class="grid_2">
			<span class="year birthyear"><?php echo $birthyear?></span> <span class="year deathyear"><?php echo $deathyear?></span>
			<?php	if($user_is_subscriber) echo $pdf ?>
			</span>
			
			<div class="clr"></div>
		</li>
		
		<?
	endforeach;
?>
</ul>
</div>

<?
/*
 * @descr 
 * @return bool
 * @param int joomla_user_group id
 * @param optional bool check_inherited_group (default=true) 
 */
function user_is_in_group($i_group_id, $b_inherited=true){
   $user =& JFactory::getUser();
   $user_id = $user->get('id');
   if($b_inherited){
      //include inherited groups
      jimport( 'joomla.access.access' );
      $a_groups = JAccess::getGroupsByUser($user_id);
   }else{
      //exclude inherited groups
      $a_groups = isset($user->groups) ? $user->groups : array();
   }
   return in_array($i_group_id, $a_groups);
}
?>

<?php
if($show_pagination){
include('pagination.php');
}
?>
<div class="clr"></div>